#ifndef SQ_WIN32_PREFS_H
#define SQ_WIN32_PREFS_H

#define ID_PREF_FIRST 0x0010

#define ID_ABOUT 0x0010
#define ID_DEFERUPDATES 0x0020
#define ID_SHOWCONSOLE 0x0030
#define ID_DBGPRINTSOCKET 0x0040
#define ID_DYNAMICCONSOLE 0x0050
#define ID_REDUCECPUUSAGE 0x0060
#define ID_3BUTTONMOUSE 0x0070
#define ID_DEFAULTPRINTER 0x0080
#define ID_SHOWALLOCATIONS 0x0090
#define ID_REDUCEBACKGROUNDCPU 0x00A0
#define ID_1BUTTONMOUSE 0x00B0
#define ID_DIRECTSOUND 0x00C0

#define ID_FILEACCESS 0x00D0
#define ID_IMAGEWRITE 0x00E0
#define ID_SOCKETACCESS 0x00F0

#define ID_PREF_LAST 0x00F0

#ifdef __cplusplus
extern "C" {
#endif
void TrackPrefsMenu(void);
void CreatePrefsMenu(void);
void HandlePrefsMenu(int);
#ifdef __cplusplus
}
#endif

int ioHasFileAccess();
int ioHasSocketAccess();
int _ioSetFileAccess(int enable);
int _ioSetImageWrite(int enable);
int _ioSetSocketAccess(int enable);
int win32DebugPrintSocketState(void);
#endif
